com.rscja.deviceapi

## Class RFIDWithISO14443A_NTAG

- java.lang.Object
- - com.rscja.deviceapi.RFIDWithISO14443A_NTAG

-     public class RFIDWithISO14443A_NTAG
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `free()` �ͷ�rfidģ�� Release the RFID module
    `static RFIDWithISO14443A_NTAG` | `getInstance()` ��ȡISO14443AЭ�����ʵ�� Get ISO1443A protocol instance.
    `java.lang.String` | `getVersion()`
    `boolean` | `init()` ��ʼ��rfidģ�� Initialize RFID module
    `boolean` | `isPowerOn()` 判断设备是否上电 Detect whether device is powered on or not.
    `int` | `NTAG21XAuthen(byte[] jpassword)`
    `byte[]` | `NTAG21XGetVersion()`
    `byte[]` | `NTAG21XRead(int page)`
    `int` | `NTAG21XWrite(int page, byte[] jwdata)`
    `SimpleRFIDEntity` | `request()` Ѱ�� Find card
    `boolean` | `rfidUpgrade(int packageCount, int index, int currSize, byte[] data)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static RFIDWithISO14443A_NTAG getInstance()
                                                    throws ConfigurationException

      ��ȡISO14443AЭ�����ʵ��
      Get ISO1443A protocol instance.
      Returns:
        ISO14443AЭ�����ʵ��
        Return ISO1443A protocol instance.
      Throws:
        `ConfigurationException` - ���ô����쳣
        Configuration failure exception

    - #### init

          public boolean init()

      ��ʼ��rfidģ��
      Initialize RFID module
      Returns:
        true�ɹ���falseʧ��
        If sucess, then return true, if failure, return false

    - #### free

          public boolean free()

      �ͷ�rfidģ��
      Release the RFID module
      Returns:
        true�ɹ���falseʧ��
        If sucess, then return true, if failure, return false

    - #### request

          public SimpleRFIDEntity request()

      Ѱ��
      Find card
      Returns:
        �ɹ��򷵻� SimpleRFIDEntity����ʵ�壬ʧ���򷵻�null
        If sucess, return SimpleRFIDEntity,if failure,then null

    - #### rfidUpgrade

          public boolean rfidUpgrade(int packageCount,
                                     int index,
                                     int currSize,
                                     byte[] data)

    - #### NTAG21XGetVersion

          public byte[] NTAG21XGetVersion()

    - #### NTAG21XAuthen

          public int NTAG21XAuthen(byte[] jpassword)

    - #### NTAG21XRead

          public byte[] NTAG21XRead(int page)

    - #### NTAG21XWrite

          public int NTAG21XWrite(int page,
                                  byte[] jwdata)

    - #### getVersion

          public java.lang.String getVersion()

    - #### isPowerOn

          public boolean isPowerOn()

      判断设备是否上电
      Detect whether device is powered on or not.
      Returns:
        已经上电返回true，反之返回false
        If powered on,return true, if not, return false.